TOAR Gridding Tool
====

# About 

The TOARgridding projects data from the TOAD database (https://toar-data.fz-juelich.de/) onto a grid. 
The stations within one cell of the grid are averaged. 

The tool handels the request to the database over the REST API and the subsequent processing.
The results are provided as xarray objects for subsequent processing by the user.

This project is a beta with some basic functionalities. 

# Requirements

# Installation

Move to the folder you want to create download this project to.

Clone the project from its git repository
```
git clone https://gitlab.jsc.fz-juelich.de/esde/toar-public/toargridding.git 
```

The handling of required packages is done with poetry.
For installing them go to the new created directory and run poetry
```
cd toargridding
poetry install
```

# Example

There are at the moment three example provided as jupyter notebooks:
tests/procude_data.ipynb provides an example on how the high level interface can be used.
get_sample_data.ipynb downloads already sampled data from the TOAR database. 
quality_controll.ipynb processes the data of obtained with get_sample_data.ipynb. 

# Supported Grids

The first supported grid is the Cartesian grid.

# Supported Variables

at the moment only a limited number of variables from the TOAR database is supported. 


